# Rift Ward Tweaks


## Overview

**Rift Ward Tweaks** is a flexible server/client-side mod that enhances Rift Wards by giving full control over their fuel consumption and blocking range  now with live visualization!

## Features

- **Configurable Rift Blocking Radius**  
  Change how far a Rift Ward suppresses rifts with a simple command or config tweak.

- **Fuel Consumption Multiplier**  
  Control how quickly temporal gear energy is drained.

- **Visual Highlight of Effective Range**  
  Toggle a highlight cube to see each active Rift Ward's protective area with `/rwt show`.

- **Configurable Scan Radius & Highlight Color**  
  Adjust how far around the player to search for Rift Wards and customize the cube color (ARGB hex).

- **Config File**: `riftwardtweaksconfig.json`  
  Example:
  ```json
  {
    "RiftBlockRange": 30,
    "FuelConsumptionMultiplier": 1.0,
    "ScanRadius": 10,
    "HighlightColor": "#3C00FF00"
  }
- **Live Runtime Commands**
  Adjust, reload, or visualize without restarting the game or server.


## Admin Commands


| Command                  | Description                                                        |
| ------------------------ | ------------------------------------------------------------------ |
| `/rwt reload`            | Reload the config from disk.                                       |
| `/rwt get`               | Display the current config values.                                 |
| `/rwt set <key> <value>` | Change a config setting (see keys below).                          |
| `.rwt show`              | Toggles the visual highlight of active Rift Ward effective ranges. |

**Available Keys for `/rwt set`:**

* `fuel`, `f`, `fuelconsumptionmultiplier`
* `range`, `r`, `riftblockrange`
* `scan`, `s`, `scanradius`
* `color`, `c`, `highlightcolor` (ARGB format, e.g. `#3C00FF00`)

**Examples**:

```bash
/rwt set f 0.02
/rwt set r 120
/rwt set scan 80
/rwt set color #3CFF0000
```

## Compatibility

* Works in both **singleplayer** and **multiplayer/server**.
* Compatible with most other mods. Uses targeted Harmony patches.

## Installation

1. Drop the `.zip` into your `Mods/` folder.
2. Launch the game. The config file will be auto-generated.
3. Use `/rwt set`, `/rwt reload`, or edit the config file directly.

## Notes

* Rift Wards must be **active** to be highlighted.
* Color must be in full 8-digit ARGB hex (e.g. `#3C00FF00`).
* Highlight range respects your configured `RiftBlockRange`.

## Support

If you enjoy this mod and want to support future improvements:
**[ko-fi.com/elocrypt](https://ko-fi.com/elocrypt)**
